For the complete documentation index, see llms.txt. This page is also available as Markdown.

Gets Document Notification Rule

EAdisyon bildirimi kuralını getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
IDinteger · int32Required
Responses
200

EAdisyon bildirimi kuralını getirir.

application/json
IDinteger · int32Optional
RuleNamestring · nullableOptional
IsActivebooleanOptional
get/Notification/{ID}
GET /ebill/Notification/{ID} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "ID": 1,
    "RuleName": "text",
    "IsActive": true,
    "RuleList": [
      {
        "Property": "DocumentProfile",
        "Operator": "GreaterOrEqual",
        "ValueFirst": "text",
        "ValueSecond": "text"
      }
    ],
    "ContactList": [
      {
        "NotificationValue": "text",
        "NotificationValueType": "Whatsapp"
      }
    ]
  }
]
var options = new RestClientOptions("//ebill/Notification/<integer>")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//ebill/Notification/<integer>',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated